package character;

public abstract class GameCharacter {
	String name; Sex sex;				// 名前、性別
	int level; Job job;					// レベル, 職業
	protected int MaxHp, MaxMP;			// 最大HP、最大MP
	protected int hp, mp;				// HP、MP
	protected int power, speed, guard;		// ちから、すばやさ、みのまもり
	protected int intelligent, luck;		// かしこさ、うんのよさ

	protected double hp_up, mp_up, 			// パラメータ上昇値
	power_up, speed_up, guard_up,
	intelligent_up, luck_up;
	protected double range; 			// 成長幅


	// コンストラクタの基本
	public GameCharacter (String name, Sex sex, Job job,
			int hp, int mp,
			int power, int speed, int guard,
			int intelligent, int luck) {

			// コンストラクタとしての処理を書くこと



	}

	// パラメータ上昇値を指定したコンストラクタ
	public GameCharacter (String name, Sex sex, Job job,
			int hp, int mp,
			int power, int speed, int guard,
			int intelligent, int luck,
			double hp_up, double mp_up,
			double power_up, double speed_up, double guard_up,
			double intelligent_up, double luck_up, double range) {

			// コンストラクタとしての処理を書くこと

			// パラメータ上昇値設定


	}
	//public abstract void fight (GameCharacter c); // 攻撃
	//public abstract void damage (int damage);  	// ダメージ

	// レベルアップのメソッド
	public void levelUp () {
		// パラメータ上昇の処理を書くこと
		// パラメータ上昇

		// HP, MP全回復
		this.hp = this.MaxHp; this.mp = this.MaxMP;

	}

	public void displayStatus() {		// ステータス表示
		System.out.println(this.name+"\n"+"せいべつ： "+this.sex.GenderName()+"\n"
				+this.job.JobName()+", レベル: "+this.level+"\n"
				+"HP: "+this.hp+", MP: "+this.mp+"\n");
		System.out.println("ちから: "+this.power+"\n"+"すばやさ: "+this.speed+"\n"
				+"みのまもり: "+this.guard+"\n"+"かしこさ: "+this.intelligent+"\n"
				+"うんのよさ: "+this.luck+"\n"
				+"さいだいHP: "+this.MaxHp+"\n"+"さいだいMP: "+this.MaxMP);
	}

}

